<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_72f158add4865" . "9f67a9df82de66" . "46312" => base64_decode("c3lzdGVtX2NhY2hlX" . "2NsZWFyZWQ="), "_927fa79e65e272737620f5a863f058" . "ae" => base64_decode("L2NhY2hlX" . "2NsZWFyZW" . "QuZGF0"), "_644b798b19dd133ec9211fb916df03" . "2b" => base64_decode("ZmlsZV9nZXRfY29udG" . "VudHM="), "_19d1237a619f7b35" . "ad6dbebf025f17c8" => base64_decode("c3RyY2" . "1w"), "_5e9a99dc0dd49b90" . "7abf1b35e96965f8" => base64_decode("dHJ" . "pbQ" . "=="), "_ca831b25ce7fffea9cf44" . "1f762c7d154" => base64_decode("ZmlsZV9" . "leGlzdH" . "M="), "_8a36a84baeffc0085672f9bf9c0" . "64f67" => base64_decode("ZmlsZV9wdXRfY29udGV" . "udHM="), "_2d885755f5913deb2b5a483bd" . "67611d1" => base64_decode("Y2ZnX2x" . "vY2FsX2" . "RhdGFfZ" . "Gly"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2d885755f5913deb2b5a483" . "bd67611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_927fa79e65e272737620f" . "5a863f058ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_72f158add48659f67a9df82de664631" . "2"], false);
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ca831b25ce7fffea" . "9cf441f762c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5e9a99dc0dd49b907ab" . "f1b35e96965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_644b798b19dd" . "133ec9211fb91" . "6df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_19d1237a619f7b3" . "5ad6dbebf025f17c" . "8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8a36a84baeffc0" . "085672f9bf9c064" . "f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_72f158add" . "48659f67a9" . "df82de6646" . "312"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}